AFTERIMAGE-CONFIG(1)

NAME
afterimage-config - script to get information about the installed version of libAfterImage

SYNOPSIS
afterimage-config [--prefix[=PREFIX]] [--exec-prefix[=PREFIX]] [--version] [--libs [--external-only]] [--libtool] [--cflags] [--have-afterbase] [--preferred-image-format] [--have-x-support] [LIBRARIES]

DESCRIPTION

afterimage-config is a tool that is used to configure to determine the compiler and linker flags that should be used to compile and link programs that use libAfterImage library.

OPTIONS
afterimage-config accepts the following options:

--version
    Print the currently installed version of libAfterImage on the standard output.

--libs
    Print the linker flags that are necessary to link a program using libAfterImage.

--libs --external-only
    Print the linker flags containing only external (i.e. not coming from afterstep package) libraries needed to link a program using libAfterImage.

--libtool
    Print the name of file containing libtool(1) definitions.

--have-afterbase
    Print `yes' if libAfterBase is available.

--preferred-image-format
    Print the image format set as preferred when libAfterImage was compiled.

--have-x-support
    Print `yes' if X support is available.

--cflags
    Print the compiler flags that are necessary to compile a libAfterImage program.

--prefix
    Print the prefix with which libAfterImage was compiled.

--prefix=PREFIX
    If specified, use PREFIX instead of the installation prefix that libAfterImage was built with when computing the output for the --cflags and --libs options. This option is also used for the exec prefix if --exec-prefix was not specified. This option must be specified before any --libs or --cflags options.

--exec-prefix
    Print the exec-prefix with which libAfterImage was compiled.

--exec-prefix=PREFIX
    If specified, use PREFIX instead of the installation exec prefix that libAfterImage was built with when computing the output for the --cflags and --libs options. This option must be specified before any --libs or --cflags options.

COPYRIGHT
libAfterBase
        Copyright © 1999-2004 Sasha Vasko     <sasha at aftercode.net>
        Copyright © 2000,2001 Andrew Ferguson <andrew@owsla.cjb.net>
        Copyright © 1999 Ethan Fischer        <allanon@crystaltokyo.com>
        Copyright © 1998 Pierre Clerissi      <clerissi@pratique.fr>
libAfterImage
        Copyright © 1999-2004 Sasha Vasko <sasha at aftercode.net>
        Copyright © 2004 Valeriy Onuchin <Valeri dot Onoutchine at cern dot ch>
        Copyright © 2001 Eric Kowalski <eric@beancrock.net>
        Copyright © 1999,2001 Ethan Fisher <allanon@crystaltokyo.com>
        Copyright © 1999-2001 Free Software Foundation, Inc.
        Copyright © 2004 Maxim Nikulin <nikulin at gorodok.net>

This library is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

AUTHOR
This manual page was written by Robert Luberda <robert@debian.org>, strongly based on the cppunit-config man page, which itself is an almost word-for-word copy of the gtk-config manpage, written by Owen Taylor. The cppunit-config man page was modified by E. Sommerlade <eric@sommerla.de>.